Auto-generate budgets
This endpoint will automatically create budgets for several categories based on existing transactions; these budgets are returned as an array. Specifically, budgets will only be generated if the user has at least one transaction in a given category during each of the two previous calendar months. For example, if the request is made on March 6, and there is at least one “Bills & Utilities” transaction in both January and February, a budget will be generated for “Bills & Utilities.”
If there are two “Bills & Utilities” transactions in February but none in January, no budget will be generated for that category. If budgets already exist for particular categories, new budgets will be generated and returned based on the available transactions. If one or more budgets remain unchanged, they will nevertheless be returned in the response. If no transaction data for the user meet the above criteria, a 422 Unprocessable Entity error will be returned with status code 4221 along with the message, There aren't enough transactions to automatically create any budgets. Autogenerated categories include: Auto & Transport, Bills & Utilities, Business Services, Education, Entertainment, Fees & Charges, Financial, Food & Dining, Health & Fitness, Home, Kids, Personal Care, Shopping, Taxes, Travel, Uncategorized, and Income.
Authorizations
MX Session Token
- Request an API token using the read API token endpoint in the MX SSO API.
- Exchange an API token for a session token.
- A session token is obtained by sending a POST request to /sessions
- The session token will be used in each request made for the user. It should be passed in an
MD-SESSION-TOKENHTTP header as shown below. - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
- If you send a request with an expired session token you'll receive an error code of
4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'In documentation code examples, replace <API_KEY_VALUE> with the session token.
Response
OK

